$(document).ready(function() {
show_result_pre_loader();
pre_load_audio();
window.process_result_update = function(result)
{
$('.loader-image').hide();
				hide_result_pre_loader();
				if (result.hasOwnProperty('status') == true && result.status == true) {
					$('#bus_search_result').html(result.data);
					post_load_audio();
					//update total bus count
					update_filter();
					update_total_count_summary();
				} else {
					update_total_count_summary();
					check_empty_search_result();
				}
				$(".price-l-2-h").trigger('click');
};

	function check_empty_search_result()
	{
		if ($('.r-r-i:first').index() == -1) {
			$('#empty-search-result').show();
			$('#page-parent').hide();
		}
	}

	/**
	*Update Count Details
	*/
	function update_total_count_summary()
	{
		$('#bus_search_result').show();
		var _visible_records = parseInt($('.r-r-i:visible').length);
		var _total_records = $('.r-r-i').length;
		if (isNaN(_visible_records) == true || _visible_records == 0) {
			_visible_records = 0;
			//display warning
			$('#bus_search_result').hide();
			$('#empty_bus_search_result').show();
		} else {
			$('#bus_search_result').show();
			$('#empty_bus_search_result').hide();
		}
		if (_visible_records > 1) {
			_visible_records = _visible_records+' busses ';
		} else {
			_visible_records = _visible_records+' bus ';
		}
		$('#total_records').text(_visible_records+' found');
		$('.visible-row-record-count').text(_visible_records);
		$('.total-row-record-count').text(_total_records);
	}

	function update_filter()
	{
		//update filters
		var travelList = {};
		var busTypeList = [];
		var departureCategoryList = {};
		var arrivalCategoryList = {};


		var minPrice = 99999999;
		var maxPrice = 0;
		var price = 0;
		var dep_time = 0;
		var arr_time = 0;
		var temp_travel = '' 
		var temp_type = [];
		var busTypeCount = {};
		$('.r-r-i').each(function(key, value) {
			price = parseFloat($('.bus-price:first', this).text());
			depCat = parseInt($('.departure_datetime:first', this).data('departure-category'));
			arrCat = parseInt($('.arrival_datetime:first', this).data('arrival-category'));
			temp_travel = $('.travel-name:first', this).text();
			
			if (departureCategoryList.hasOwnProperty(depCat) == false) {departureCategoryList[depCat] = depCat;}
			if (arrivalCategoryList.hasOwnProperty(arrCat) == false) {arrivalCategoryList[arrCat] = arrCat;}
			if (travelList.hasOwnProperty(temp_travel) == false) {travelList[temp_travel] = temp_travel;}
			//if (busTypeList.hasOwnProperty(temp_type) == false) {busTypeList[temp_type] = temp_type;}
			if (price < minPrice) {minPrice = price;}
			if (price > maxPrice) {maxPrice = price;}
			//bus-type
			temp_type = $('.bus-type', this).map(function() {
							var temp_text = $(this).text();
							if ((temp_text in busTypeCount) == false) {
								busTypeCount[temp_text] = 0;
							} else {
								busTypeCount[temp_text]++;
							}
							if (busTypeList.indexOf(temp_text) == -1) {
								return temp_text;
							}
						}).get();
			if (temp_type.length > 0) {
				busTypeList = busTypeList.concat(temp_type);
			}
		});
		$('#core_minimum_range_value', '#core_min_max_slider_values').val(minPrice);
		$('#core_maximum_range_value', '#core_min_max_slider_values').val(maxPrice);
		travelList = getSortedObject(travelList);
		busTypeList = getSortedObject(busTypeList);
		//price-refine
		enable_price_range_slider(minPrice, maxPrice);
		//travel-refine
		enable_travel_refine(travelList);
		//bustype-refine
		enable_bus_type_refine(busTypeList, busTypeCount);
		//departure-refine, //arrival-refine
		loadTimeRangeSelector(departureCategoryList, arrivalCategoryList);
		
	}
	//Enable/Disable-Time Range Selector
	function loadTimeRangeSelector(depCatList, arrCatList)
	{
		//Works for both onward and return
		if ($.isPlainObject(depCatList)) {
			var depCatListArray = getArray(depCatList);
			var stopCat = 0;
			$('#departureTimeWrapper .time-category').each(function(key, value) {
				depCat = parseInt($(this).val());
				if (depCatListArray.indexOf(depCat) == -1) {
					//disabled
					$(this).attr('disabled', 'disabled');
					$(this).closest('.time-wrapper').addClass('disabled');
				} else {
					$(this).closest('.time-wrapper').addClass('enabled');
				}
			});
		}

		if ($.isPlainObject(arrCatList)) {
			var arrCatListArray = getArray(arrCatList);
			var arrCat = 0;
			$('#arrivalTimeWrapper .time-category').each(function(key, value) {
				arrCat = parseInt($(this).val());
				if (arrCatListArray.indexOf(arrCat) == -1) {
					//disabled
					$(this).attr('disabled', 'disabled');
					$(this).closest('.time-wrapper').addClass('disabled');
				} else {
					$(this).closest('.time-wrapper').addClass('enabled');
				}
			});
		}
	}

	function getArray(objectWrap)
	{
		var objectWrapValueArr = [];
		$.each(objectWrap, function(key, value) {
			objectWrapValueArr.push(value);
		});
		return objectWrapValueArr;
	}

	function getSortedObject(obj)
	{
		var objValArray = getArray(obj);
		var sortObj = {};
		objValArray.sort();
		$.each(objValArray, function(obj_key, obj_val) {
			$.each(obj, function(i_k, i_v) {
				if (i_v == obj_val) {
					sortObj[i_k] = i_v;
				}
			});
		});
		return sortObj;
	}

	var sliderCurrency = document.getElementById('pri_slider_currency').value;
	var min_amt = 0;
	var max_amt = 0;
	function enable_price_range_slider(minPrice, maxPrice)
	{
		min_amt = minPrice;
		max_amt = maxPrice;
		$( "#slider-range-1" ).slider({
			range: true,
			min: minPrice,
			max: maxPrice,
			animate: "slow",
			values: [ minPrice, maxPrice ],
			slide: function(event, ui) {
				set_slider_label(ui.values[ 0 ], ui.values[ 1 ]);
			},
			change: function(event, ui) {
				if (parseFloat(ui.values[0]) == min_amt) {
					if (parseFloat(ui.values[1]) > max_amt) {
						visibility = ':hidden';
					} else {
						visibility = ':visible';
					}
				} else {
					if (parseFloat(ui.values[0]) < min_amt) {
						visibility = ':hidden';
					} else {
						visibility = ':visible';
					}
				}
				filter_row_origin_marker(visibility);
			}
		});
		set_slider_label(minPrice, maxPrice);
	}

	function set_slider_label(val1, val2)
	{
		$( "#amount" ).text( sliderCurrency + val1 + " - "+ sliderCurrency + val2);
	}

	function enable_travel_refine(core_list)
	{
		var list = '<ul class="locationul">';
		//travel-name
		if ($.isEmptyObject(core_list) == false) {
			$.each(core_list, function(k, v) {
				list += '<li><div class="squaredThree">';
				list += '<input type="checkbox" id="airline-filter-'+k+'" class="airlinecheckbox travel-box" value="'+v+'"><label for="airline-filter-'+k+'"></label>';
				list += '</div>';
				list += '<label class="lbllbl" for="airline-filter-'+k+'"> '+v+'</label></li>';
			});
		}
		list += '</ul>';
		$('.travel-refine:first').append(list);
	}

	function enable_bus_type_refine(core_list, core_count_list)
	{
		var list = '<ul class="locationul">';
		//bus-type
		if ($.isEmptyObject(core_list) == false) {
			$.each(core_list, function(k, v) {
				list += '<li><div class="squaredThree">';
				list += '<input type="checkbox" id="airline-filter-'+k+'" class="airlinecheckbox bus-type-box" value="'+v+'"><label for="airline-filter-'+k+'"></label>';
				list += '</div>';
				list += '<label class="lbllbl" for="airline-filter-'+k+'"> '+v+'('+(parseInt(core_count_list[v])+1)+') </label></li>';
			});
		}
		list += '</ul>';
		$('.bustype-refine:first').append(list);
	}

	function timeConverter(UNIX_timestamp){
		var a = new Date(parseFloat(UNIX_timestamp));
		var months = ['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'];
		var month = months[a.getMonth()];
		var year = a.getFullYear();
		var date = a.getDate();
		var hour = a.getHours();
		var min = a.getMinutes();
		var time = date+' '+month+' '+hour+':'+min;
		return time;
	}
	//Refine data result
	$(document).on('change', '.bus-type-box, .travel-box', function() {
		filter_row_origin_marker();
	});
	$(document).on('change', '#departureTimeWrapper .time-wrapper.enabled .time-category, #arrivalTimeWrapper .time-wrapper.enabled .time-category', function() {
		filter_row_origin_marker();
	});
	function filter_row_origin_marker()
	{
		loader();
		visibility = '';
		//get all the search criteria
		var bus_type_refine = $('.bus-type-box:checked:not(:disabled)', '.bustype-refine').map(function() {
			return this.value;
		}).get()
		var travel_refine = $('.travel-box:checked:not(:disabled)', '.travel-refine').map(function() {
			return this.value;
		}).get();
		var deptimeList = $('.time-category:checked:not(:disabled)', '#departureTimeWrapper').map(function() {
			return parseInt(this.value);
		}).get();
		var arrtimeList = $('.time-category:checked:not(:disabled)', '#arrivalTimeWrapper').map(function() {
			return parseInt(this.value);
		}).get();
		var min_price = parseFloat($("#slider-range-1").slider("values")[0]);
		var max_price = parseFloat($("#slider-range-1").slider("values")[1]);
		$('.r-r-i'+visibility).each(function(key, value) {
			//
			if (
				(travel_refine.length == 0 || $.inArray($('.travel-name', this).text(), travel_refine) != -1) &&
				(bus_type_refine.length == 0 || has_bus_type_attribute(bus_type_refine, this)) &&

				((deptimeList.length == 0) || ($.inArray(parseInt($('.departure_datetime:first', this).data('departure-category')), deptimeList) != -1)) &&
				((arrtimeList.length == 0) || ($.inArray(parseInt($('.arrival_datetime:first', this).data('arrival-category')), arrtimeList) != -1)) &&

				(parseFloat($('.bus-price:first', this).text()) >= min_price && parseFloat($('.bus-price:first', this).text()) <= max_price) 
			) {
				$(this).show();
		} else {
			$(this).hide();
		}
	});
		update_total_count_summary();
	}

	function has_bus_type_attribute(bus_type_refine, record_origin)
	{
		var status = false;
		if (bus_type_refine.length == 1) {
			$('.bus-type', record_origin).each(function(k, v) {
				//check anyone occurance
				if ($.inArray($(this).text(), bus_type_refine) != -1) {
					status = true;
				}
			});
		} else if (bus_type_refine.length > 1) {
			//check exact match
			status = true;
			var _bus_type = $('.bus-type', record_origin).map(function() {
				return $(this).text();
			}).get();
			$.each(bus_type_refine, function(k, v) {
				if ($.inArray(v, _bus_type) == -1) {
					status = false;
				}
			});
		}
		return status;
	}

	$(document).on('click', ".more-bus-content-btn", function(){
		$(".more-bus-content-container", $(this).closest('.r-r-i')).toggle();
	});

	//price sort
	$(".price-l-2-h").click(function(){
		loader();
		$(this).addClass('hide');
		$('.price-h-2-l').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.bus-price:first', item: '.r-r-i', order: 'asc', is_num: true });
	});

	$(".price-h-2-l").click(function(){
		$(this).addClass('hide');
		$('.price-l-2-h').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.bus-price:first', item: '.r-r-i', order: 'desc', is_num: true});
	});

	//name sort
	$(".travel-l-2-h").click(function(){
		$(this).addClass('hide');
		$('.travel-h-2-l').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.travel-name:first', item: '.r-r-i', order: 'asc', is_num: false});
	});

	$(".travel-h-2-l").click(function(){
		$(this).addClass('hide');
		$('.travel-l-2-h').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.travel-name:first', item: '.r-r-i', order: 'desc', is_num: false});
	});


	//departure sort
	$(".departure-l-2-h").click(function(){
		$(this).addClass('hide');
		$('.departure-h-2-l').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.departure-time:first', item: '.r-r-i', order: 'asc', is_num: true});
	});

	$(".departure-h-2-l").click(function(){
		$(this).addClass('hide');
		$('.departure-l-2-h').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.departure-time:first', item: '.r-r-i', order: 'desc', is_num: true});
	});

	//arrival name sort
	$(".arrival-l-2-h").click(function(){
		$(this).addClass('hide');
		$('.arrival-h-2-l').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.arrival-time:first', item: '.r-r-i', order: 'asc', is_num: true});
	});

	$(".arrival-h-2-l").click(function(){
		$(this).addClass('hide');
		$('.arrival-l-2-h').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.arrival-time:first', item: '.r-r-i', order: 'desc', is_num: true});
	});


	//seats sort
	$(".seat-l-2-h").click(function(){
		$(this).addClass('hide');
		$('.seat-h-2-l').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.available-seats:first', item: '.r-r-i', order: 'asc', is_num: true});
	});

	$(".seat-h-2-l").click(function(){
		$(this).addClass('hide');
		$('.seat-l-2-h').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.available-seats:first', item: '.r-r-i', order: 'desc', is_num: true});
	});
	
	$(".duration-l-2-h").click(function(){
		$(this).addClass('hide');
		$('.duration-h-2-l').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.travel-duration:first', item: '.r-r-i', order: 'asc', is_num: true});
	});

	$(".duration-h-2-l").click(function(){
		$(this).addClass('hide');
		$('.duration-l-2-h').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.travel-duration:first', item: '.r-r-i', order: 'desc', is_num: true});
	});

	//seats sort
	$(".bus-type-l-2-h").click(function(){
		$(this).addClass('hide');
		$('.bus-type-h-2-l').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.bus-type-count:first', item: '.r-r-i', order: 'asc', is_num: true});
	});

	$(".bus-type-h-2-l").click(function(){
		$(this).addClass('hide');
		$('.bus-type-l-2-h').removeClass('hide');
		$("#bus_search_result .r-w-g").jSort({sort_by: '.bus-type-count:first', item: '.r-r-i', order: 'desc', is_num: true});
	});

	$('.loader').on('click', function(e) {
		e.preventDefault();
		loader();
	});
	$(document).on('click', '.reset-page-loader', function(e) {
		e.preventDefault();
		loader();
		location.reload();
	});
	//Reset the filters -- Jaganath
	$(document).on('click', '#reset_filters', function() {
		loader();
		var minPrice = $('#core_minimum_range_value', '#core_min_max_slider_values').val();
		var maxPrice = $('#core_maximum_range_value', '#core_min_max_slider_values').val();

		$("#slider-range-1").slider("option", "values", [minPrice, maxPrice]);
		//Reset the Bus type, and operator
		$('input.bus-type-box, input.time-category, input.travel-box').prop('checked', false);
		//remove active classes
		$('.enabled','#departureTimeWrapper').removeClass('active');
		$('.enabled','#arrivalTimeWrapper').removeClass('active');
		set_slider_label(min_amt, max_amt);
		filter_row_origin_marker();
	});
	function loader(selector)
	{
		selector = selector || '#bus_search_result';
		$(selector).animate({'opacity':'.1'});
		setTimeout(function() {$(selector).animate({'opacity':'1'}, 'slow');}, 1000);
	}

	//activate bus booking
	$(document).on('click', '.inner-summary-btn', function(e) {
		e.preventDefault();
		var _inner_summary_toggle = $('.inner-summary-toggle', $(this).closest('.r-r-i'));
		_inner_summary_toggle.toggle();
		//update data if visible
		if (_inner_summary_toggle.is(':visible')) {
			//load data
			get_inner_bus_details($(this).closest('form').serializeArray(), _inner_summary_toggle);
		} else {
			$('.room-summ', _inner_summary_toggle).html('').hide();
			$('.loader-image', _inner_summary_toggle).show();
		}
	});

	function get_inner_bus_details(params, result_row_index)
	{
		$.ajax({
			type: 'POST',
			url: app_base_url+'index.php/ajax/get_bus_details',
			async: true,
			cache: false,
			data: params,
			success: function(result) {
				if (result.status) {
					$('.room-summ', result_row_index).html(result.data).show();
					$('.loader-image', result_row_index).hide();
				}
			}
		});
	}

	//activate bus booking
	$(document).on('click', '.bus-info-btn', function(e) {
		e.preventDefault();
		//update data if visible
		//load data
		clean_up_info_modal();
		var _bus_info_data = get_inner_bus_information($('.book-form', $(this).closest('.r-r-i')).serializeArray());
	});

	function clean_up_info_modal()
	{
		$('#bus-info-modal-content ').empty();
		$('#bus-info-modal .loader-image').show();
		$('#bus-info-modal').modal();
	}
	function get_inner_bus_information(params)
	{
		$.ajax({
			type: 'POST',
			url: app_base_url+'index.php/ajax/get_bus_information',
			async: true,
			cache: true,
			data: params,
			success: function(result) {
				$('#bus-info-modal .loader-image').hide();
				if (result.status) {
					$('#bus-info-modal-content').html(result.data);
				} else {
					$('#bus-info-modal-content').html('NA');
				}
			}
		});
	}
	
		/**
	* Toggle active class to highlight current applied sorting
	**/
	$(document).on('click', '.sorta', function(e) {
		e.preventDefault();
		$(this).closest('.sortul').find('.active').removeClass('active');
		//Add to sibling
		$(this).siblings().addClass('active');
	});
	
	//Filter toggle
	$('.toglefil').click(function() {
			$(this).toggleClass('active');
		});

	//Boarding point info
	/*$(document).on('click', '.bus-boarding-info-btn', function(e) {
		e.preventDefault();
		//update data if visible
		//load data
		clean_up_boarding_modal();
		var _target_view = $(this).data('target');
		var _bus_info_data = get_board_bus_information($('.book-form', $(this).closest('.r-r-i')).serializeArray(), _target_view);
	});*/

	
	/*function get_board_bus_information(params, _target_view)
	{
		$.ajax({
			type: 'POST',
			url: app_base_url+'index.php/ajax/get_bus_details/true',
			async: true,
			cache: true,
			data: params,
			success: function(result) {
				console.log(result);
				if (result.status) {
					$('#bus-boarding-modal-content').html(result.data);
					$('#bus-boarding-modal-content').children().hide();
					$(_target_view).show();
				} else {
					$('#bus-boarding-modal-content').html('NA');
				}
				$('#bus-boarding-modal .loader-image').hide();
			}
		});
	}*/
	
	/*	Mobile Filter	*/
	$('.filter_tab').click(function() {
		$('.resultalls').stop( true, true ).toggleClass('open');
		$('.coleft').stop( true, true ).slideToggle(500);
	});
	
	var widowwidth = $(window).width();
	if(widowwidth < 991)
	{
	$('.resultalls.open #bus_search_result').on('click',function() {
		$('.resultalls').removeClass('open');
		$('.coleft').slideUp(500);
	});
	}
});

// ----------------- bus details popup -------------

$(document).on('click', '.bus-details', function(e){
	e.preventDefault();
	
	var dis = $(this).attr('id');
	//alert(dis);	
	$('#bus-boarding-modal .loader-image').show();
		$(dis).modal();

	//clean_up_boarding_modal();
/*	var _target_view = $(this).data('target');
	var params = $('.book-form', $(this).closest('.r-r-i')).serializeArray();
	$(_target_view).show();

	var obj = JSON.parse(busDetails);
	$.each(obj, function(e, v){
		//console.log(v.id +'---'+params[1].value);
		if(v.id == params[1].value){
			//console.log(v.id);
			showThis(e,obj);
		}
	});*/
});


function clean_up_boarding_modal()
	{
		//$('#bus-boarding-modal-content ').empty();
		$('#bus-boarding-modal .loader-image').show();
		$('#bus-boarding-modal').modal();
	}
//-------------------SEAT SELECTION ----------------------
var template_img = tmpl_img_url;
$(document).delegate('.seat_sel', 'click', function(){
	
	var buseatselct = $(this).closest('.buseatselct');
    
	var total_seats = $('.seat_sel.active', buseatselct).length+1;
	//if checked and seat is >= 6
	//if unchecked then need not to check anything	
    if ((total_seats > 6) && ($(this).hasClass('active') == false)) {
    	alert('Max 6 seats allowed to book');
    	return false;
    } else {
    	//dont use id
    	var refId = $(this).data('sel');
	    var disId = $(this).attr('id');
	    $(this).toggleClass('active');


	    var ind = $(this).data('img');
	    var chk =$(this).hasClass('active');
	    var f = '.seat-'+refId;
	    var i = '.active';
	    var sel = f+' '+i;
	   // var allVals = [];
	   var nm = $(this).data('nm');
	   var img_act;
	   var img_vac;
	
	if(nm == 'volvo_sleeper_vacant'){
		img_act = "volvo_sleeper_selected.png";
		img_vac = "volvo_sleeper_vacant.png";
	}
	else if(nm == 'non_sleeper_ac_ladies'){
		img_act = "volvo_sleeper_selected.png";
		img_vac = "non_sleeper_ac_ladies.png";
	}
	else if(nm == 'non_ac_vertical_sleeper_ladies'){
		img_act = "volvo_sleeper_vertical_selected.png";
		img_vac = "non_ac_vertical_sleeper_ladies.png";
	}
	else if(nm == 'volvo_sleeper_vertical_vacant'){
		img_act = "volvo_sleeper_vertical_selected.png";
		img_vac = "non_ac_vertical_sleeper_ladies.png";
	}
	else if(nm == 'ac_sleeper_selected'){
		img_act = "volvo_sleeper_selected.png";
		img_vac = "volvo_sleeper_vacant.png";
	}
	else if(nm == 'non_ac_seater_ladies'){
		img_act = "ac_sleeper_selected.png";
		img_vac = "non_ac_seater_ladies.png";
	}
	else if(nm == 'ac_semi_sleeper_vacant'){
		img_act = "ac_sleeper_selected.png";
		img_vac = "ac_semi_sleeper_vacant.png";
	}
	//alert(img_act+img_vac);

	    if(chk) { 
	        $(this).attr('src',template_img+'seats3/'+img_act);
	    } else { 
	        $(this).attr('src',template_img+'seats3/'+img_vac);
	    }
	    var selected_seat = [];
	    var sel_seats = [];
	    var total = 0;
	     selected_seat = $('.seat_sel.active', buseatselct).map(function() {return $(this).data('det')});

    	$.each(selected_seat, function(i,v){
    		var spli = v.split('-');
    		 total += parseInt(spli[1]);
    	
    		 sel_seats.push(spli[0]+' ');

    	});

    	$('.seat-id',buseatselct).val(total_seats);
    	$('.selected-seat-price',buseatselct).html(total);
    	$('.seat-summary',buseatselct).val(sel_seats);
    	$('.total-amount',buseatselct).val(total);
    	$('.selected-seat',buseatselct).html(sel_seats);

	}
    
});
//--------------Boarding point---------------
$(document).on('change','.boardingpointsList', function(){
	var chos = $(this).attr('id');
	var sel_arr = $(this).val();
	var selected = sel_arr.split('-');
	var bus_fr = $('#bus-station-from').val();
	var bus_to = $('#bus-station-to').val();

	var busrows = $(this).closest('.busrows');
	var buseatselct = $(this).closest('.buseatselct');
	var book_source = $('.booking-source',buseatselct).val();
	var travelNmae = $('.travel-name',busrows).data('tname');
	var depTime = $('.deptym',busrows).data('tm');
	var arrTime = $('.arrtym',busrows).data('tm');

	$('.pickup-id',buseatselct).val(selected[0]);
	$('.pickup-place',buseatselct).val(selected[1]);
	$('.pickup-time',buseatselct).val(selected[2]);
	$('.bus-to',buseatselct).val(bus_to);
	$('.bus-from',buseatselct).val(bus_fr);
	$('.travel-atym',buseatselct).val(arrTime);
	$('.travel-dtym',buseatselct).val(depTime);
	$('.travel-agency',buseatselct).val(travelNmae);


	$.ajax({
		type:'POST',
		url: app_base_url+'index.php/ajax/get_boardingPoint',
		async:true,
		cache:true,
		data:{chosen : chos, selected : selected[0], booking_source: book_source},
		success: function(resp){
			console.log(resp);
		}
	})

});    

$(document).on('click','.booking-btn', function(e){
	e.preventDefault;

		var buseatselct = $(this).closest('.buseatselct');    
		var total_seats = $('.seat_sel.active', buseatselct).length+0;
		var borading_val = $('.boardingpointsList').val();

		if(total_seats == 0){
			alert('Please select atleast one seat');
			return false;
		}
		else if(borading_val == 'INVALIDIP'){
			alert('Please choose boarding point');
			return false;
		}
		else{
			return true;
		}

})

/*function BoardingPoint(chosenboardingpoint,chosentripid){
   var strURL="BoardingPoint.php?boardingpointsList="+chosenboardingpoint+"&chosentripid="+chosentripid;
   var req = getXMLHTTP();
if(req) {

        req.onreadystatechange = function() {
                if (req.readyState == 4) {
                    
                    if (req.status == 200) {
                        document.getElementById('selection').innerHTML=req.responseText;
} else {
                        alert("There was a problem while using XMLHTTP:\n" + req.statusText);
                    }
                }               
            }   
                req.open("GET",strURL,true);
                req.send(null);

}

    }*/
    
   
	$(document).ready(function()
	{
	
	});
	function validation()
	{  
	   $seatNumber    = $("#seatNumber").val();
	   $boardingPoint = $("#boardingPoint").val();
	   if($seatNumber=='')
	   {
	      alert('Please select seat.');
   	   $("#seatNumber").focus();
   	   return false;
	   }
	   if($boardingPoint=='')
	   {
	      alert('Please select boarding point.');
   	   $("#boardingPoint").focus();
   	   return false;
	   }
	}	
	$(function () 
	{
		$('[data-toggle="tooltip"]').tooltip({ html : true})
	})
